2007-01-08  Rodrigo Moya <rodrigo@gnome-db.org>

	* Makefile.am: added missing EXTRA_DIST files.

2007-01-08  Thomas Wood  <thos@gnome.org>

	Patch by: Alberto Ruiz <aruiz@synaptia.net>

	* gnome-theme-installer.c: (gnome_theme_install_from_uri): Accept .gtp
	as a file extension

2007-01-08  Jan Arne Petersen <jap@gnome.org>

	* Makefile.am: Updated CLEANFILES
	* gnome-theme-package.xml: Removed from svn (built file).
	* ./: Updated svn:ignore properties.

2007-01-08  Thomas Wood  <thos@gnome.org>

	* gnome-theme-details.c: (color_select),
	(color_scheme_combobox_changed), (gnome_theme_details_init),
	(update_color_buttons_from_string),
	(gnome_theme_details_update_from_gconf):
	* theme-properties.glade:

	Add Save/Delete dialogs for colour schemes.

2007-01-08  Thomas Wood  <thos@gnome.org>

	Patch by: Alberto Ruiz <aruiz@synaptia.net>

	* Makefile.am:
	* gnome-theme-installer.desktop.in.in:
	* gnome-theme-package.xml:
	* gnome-theme-package.xml.in:

	Add support for opening .gtp (application/x-gnome-theme-package) files.
	Fixes bug 393697 (Theme packages should have their own mime type.)

2007-01-08  Thomas Wood  <thos@gnome.org>

	* gtkrc-utils.h: Correct function decleration
	* gnome-theme-details.c: (update_color_scheme_tab), (color_select),
	(toggle_color_scheme_key):
	* theme-properties.glade:

	Add custom colour scheme saving UI

2007-01-07  Thomas Wood  <thos@gnome.org>

	* Makefile.am:
	* gnome-theme-details.c: (gtk_theme_update_remove_button),
	(remove_theme), (color_select), (toggle_color_scheme_key),
	(gnome_theme_details_init):
	* gnome-theme-manager.c: (main):
	* gtkrc-utils.c:
	* gtkrc-utils.h:
	* theme-properties.glade:

	Enable a message when the current theme does not support colour schemes

2007-01-07  Thomas Wood  <thos@gnome.org>

	Based on patch by: Gabor Kelemen <kelemeng@gnome.hu>

	* gnome-theme-installer.c: (transfer_done_cb): Fixes bug 360449 (Avoid
	markup in translatable messages)

2007-01-07  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-theme-details.c (gtk_theme_update_remove_button): removed
	double gnome_vfs_file_info_unref/g_free calls.

2007-01-07  Thomas Wood  <thos@gnome.org>

	* gnome-theme-details.c: (gtk_theme_update_remove_button): Applied patch
	from bug 326337 (leaks in the theme manager)

2007-01-11  Thomas Wood  <thos@gnome.org>

	* gnome-theme-details.c: (gnome_theme_details_init): Applied theme
	manager part of the patch from bug 382730 (fix build with c89 compilers)

2007-01-11  Thomas Wood  <thos@gnome.org>

       * theme-properties.glade: Set minimum size request on the treeview
       rather than the entire window (fixes bug 393236).

2007-01-05  Christian Persch <chpe@gnome.org>

	Fixes #393117

	* gnome-theme-manager.c (main): get a reference to the GnomeProgram
	and free it when appropriate. Fixes leak.

	* gnome-theme-details.c (gtk_theme_update_remove_button): fixed leaks.

2007-01-03  Thomas Wood  <thos@gnome.org>

	* theme-properties.glade: Fix some HIG issues with strings

2006-12-18  Thomas Wood  <thos@gnome.org>

	* gnome-theme-details.c:
	* theme-properties.glade:

	- HIG fixes to the color scheme tab, from suggestions in Bug 382517
	- Rename "Theme Details" button to "Customize"

2006-12-08  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-theme-manager.c: (meta_theme_selection_changed):
	Plug a few leaks. Bug #376949.

2006-12-03  Thomas Wood  <thos@gnome.org>

	* gnome-theme-installer.c: (theme_properties_free),
	(file_theme_type), (missing_utility_message_dialog),
	(extract_files_error_dialog), (transfer_done_targz_idle_cb),
	(transfer_done_tarbz2_idle_cb), (transfer_done_cb),
	(gnome_theme_install_from_uri), (gnome_theme_installer_run):

	- Cleanup some of the install code
	- Implement bug 325300 - Theme manager should be able to handle archives
	  with icon, gtk+ and metacity themes
	- Implement bug 326103 - Allow installing a theme from a directory

2006-11-27  Thomas Wood  <thos@gnome.org>

	* gnome-theme-installer.c: (file_theme_type): Applied patch from
	bug 378680 (leak in file_theme_type() in theme-switcher)

2006-11-13  Thomas Wood  <thos@gnome.org>

	(gnome_theme_installer_run): Open transfer dialog with transient
	parent set
	
	* gnome-theme-details.c: (remove_theme), (color_select),
	(toggle_color_scheme_key), (gnome_theme_details_init),
	(update_color_buttons_from_string),
	(gnome_theme_details_update_from_gconf):
	* gnome-theme-installer.c: (gnome_theme_install_from_uri),
	* gnome-theme-installer.h:
	* gnome-theme-manager.c: (free_all),
	(gnome_theme_manager_drag_data_received_cb), (main):
	* gnome-theme-manager.h:
	* gnome-theme-save.c: (save_dialog_response):
	* theme-properties.glade:

	- Add a colours tab to change gtk-color-scheme setting

2006-10-27  Thomas Wood  <thos@gnome.org>

	* gnome-theme-installer.c: (transfer_done_cb): Hopefully fix bug
	352490

2006-10-02  Thomas Wood  <thos@gnome.org>

	* gnome-theme-manager.c: (load_meta_themes), (main): Add an
	install-theme command line option. Fixes bug 354581 - Theme manager
	has no CLI tool to install themes.

2006-09-30  Thomas Wood  <thos@gnome.org>

	* gnome-theme-details.c: (setup_tree_view):
	* theme-properties.glade:

	Allows the text in the details dialog lists to ellipsise, and sets a minimum width
	for the dialog. Fixes bug 355269 (Theme manager dialog width)

2006-08-28  Thomas Wood  <thos@gnome.org>

	* theme-properties.glade: Fixes bug 331835 (Missing maximize button)
	by making the main window Normal rather than Dialog.
	* ChangeLog: Converted to utf-8!

2006-08-21  Thomas Wood  <thos@gnome.org>

	* gnome-theme-manager.c: (queue_pixbuf_generation),
	(pixbuf_idle_func), (load_meta_themes): Applied first two patches from bug 351521

2006-07-27  Rob Bradford <robster@debian.org>

	Fixes #346041

	* gnome-theme-manager.[ch]:
	* theme-properties.glade: added support for locking down theme.

2006-07-25  Thomas Wood  <thos@gnome.org>

	* gnome-theme-details.c: (window_theme_selection_changed),
	(gnome_theme_details_update_from_gconf): Don't attempt to load window
	manager theme name from an unknown window manager (fixes bug 333276 -
	gnome-theme-manager crashes with xgl/compiz)

2006-07-23  Sebastien Bacher  <seb128@debian.org>

	* gtk-theme-selector.desktop.in.in: don't list the Application 
	category, patch by Vincent Fretin <vincent.fretin@gmail.com> 
	(Closes: #344321)

2006-07-14  Thomas Wood  <thos@gnome.org>

	* gnome-theme-installer.c:
	(transfer_done_cb): Made the installation message dialog more HIG
	compliant, as per comments from bug 167045. Also reinstated the fix
	for bug 316800.
	(gnome_theme_installer_run): Remove invalid, and also duplicate, check
	for the tar utility.

2006-06-13  Thomas Wood  <thos@gnome.org>

	* gnome-theme-installer.c: (transfer_done_cb): Fix Bug 167045 -
	Strange wording in gnome-control-center theme manager messages

2006-04-28  Thomas Wood  <thos@gnome.org>

	* gnome-theme-save.c: (write_theme_to_disk), (save_theme_to_disk),
	(save_dialog_response):
	* theme-properties.glade:

	- Added option to save current background when saving a custom theme.
	Fixes bug 330302 - Saved themes should remember wallpaper.
	- Also implements some of the UI changes for the save dialog, suggested
	in bug 100622

2006-04-27  Thomas Wood  <thos@gnome.org>

	* gnome-theme-save.c: (str_remove_slash),
	(setup_directory_structure):

	Fix bug 317375 - theme-manager (saving) sometimes needlessly asks
	whether to overwrite

2006-04-26  Thomas Wood  <thos@gnome.org>

	* gnome-theme-save.c: (str_remove_slash),
	(setup_directory_structure), (write_theme_to_disk),
	(gnome_theme_save_show_dialog):

	Fix bug 139692 - Some characters cannot be given as the theme name

2006-04-25  Thomas Wood  <thos@gnome.org>

	* Makefile.am:
	* gnome-theme-installer.c: (gnome_theme_install_from_uri),
	(gnome_theme_installer_run_cb), (gnome_theme_installer_run):
	* gnome-theme-installer.h:
	* gnome-theme-manager.c:
	(gnome_theme_manager_drag_data_received_cb):
	* theme-install.glade:

	- Remove redundant theme-install dialog
	- Fix bug 138795 (file dialog forgets last browsed to or installed from
	  location)

2006-04-19  Thomas Wood  <thos@gnome.org>

	* gnome-theme-details.c: (gnome_theme_details_init),
	(gnome_theme_details_reread_themes_from_disk):
	* gnome-theme-installer.c: (gnome_theme_installer_run_cb):
	* gnome-theme-installer.h:
	* gnome-theme-manager.c: (setup_dialog):
	* theme-properties.glade:

	Remove drag and drop information text, and add Install buttons to each
	tab in the details window. Closes bug 99535 - [ui-review] Theme manager UI issues

2006-04-10  Thomas Wood  <thos@gnome.org>

	* gnome-theme-installer.c: (transfer_done_targz_idle_cb),
	(transfer_done_tarbz2_idle_cb), (transfer_done_cb): Applied patch from
	bug 170058 - bzip2 location hardcoded

2006-04-09  Thomas Wood  <thos@gnome.org>

	* gnome-theme-manager.c: (setup_meta_tree_view): Patch from Sergey Al.
	Safonov <spoof@spoofa.info> to fix bug 314658 - Theme chooser main
	window too wide for 800x600

2006-01-03  David Seseño <david@alderia.com>

	* gnome-theme-manager.c (setup_dialog): Set the search column of the
	treeview. Fixes #321379.
	
2006-01-03  Guillaume Desmottes <cass@skynet.be>

	Fixes bug #147665

	* gnome-theme-manager.[ch] (update_font_button_state,
	update_background_button_state): new functions.
	(background_key_changed): call the 2 above functions to update
	the background from metathemes that include a background.

2005-11-14  David Sedeño <david@alderia.com>

	* gnome-theme-details.c (gtk_theme_update_remove_button): Update the
	sensivility of the button if the user can remove the theme.
	(remove_theme): Remove the selected theme.
	
2005-11-14  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-theme-details.c: (gnome_theme_details_init),
	(gnome_theme_details_reread_themes_from_disk):
	Remove some unused code.
	* gnome-theme-installer.c: (transfer_done_cb),
	(gnome_theme_installer_run): Don't declare variables more often than
	needed. 
	* gnome-theme-manager.c: Mark some code static.

2005-10-24  Ed Catmur <ed@catmur.co.uk>

	Fixes #319358

	* gnome-theme-installer.c (install_dialog_response): make it
	work for file:// URIs.

2005-10-11  Muktha  <muktha.narayan@wipro.com>

	* gnome-theme-manager.h:
	* gnome-theme-manager.c (apply_font_clicked): Update the desktop 
	font in addition to the application font when 'apply font' in 
	large print themes is selected. Fixes #123551.

2005-02-08  Sebastien Bacher  <seb128@debian.org>

	* gnome-theme-installer.c: (file_theme_type), (transfer_done_cb),
	(install_dialog_response), (gnome_theme_installer_run):
	patch by Kjartan Maraas <kmaraas@gnome.org>, remove a load of leaks
	and make sure newly installed themes show up in the relevant lists 
	without having to close/open the dialog again (Closes: #166267).

2005-02-07  Sebastien Bacher  <seb128@debian.org>

	* gnome-theme-installer.c: (transfer_done_cb): fix some strings,
	  changes by David Lodge <dave@cirt.net> (Closes: #166550).

2005-02-01  Elijah Newren  <newren@gmail.com>

	Fix an infinite loop that was bringing single-CPU systems to their
	knees.  Approved by Kjartan.  #160803

	* gnome-theme-manager.c: (window_settings_changed): keep track of
	the window manager theme last selected and just exit if we are
	already using the one we want

2005-02-01  David Sedeño <david@alderia.com>

	New install procedure: See bug #102216.
	* gnome-theme-details.c: Remove gnome_theme_installer_run_cb,
	gnome_icon_theme_installer_run_cb because gnome_theme_installer_run
	function now detects if it is a icon or theme.
	(gnome_theme_details_init): Remove install buttons in theme details
	window.
	* gnome-theme-installer.c (file_theme_type): Detects the type of the
	theme inspecting the content of the file.
	(transfer_done_targz_idle_cb, transfer_done_tarbz2_idle_cb): Install
	the theme in the correct temp dir.
	(transfer_done_cb): Detects if the file to install it is in the
	correct format and informs the user if it is not supported. Unpack the
	file (informs the user if there are not the correct utility in the
	system) and install the theme in the correct directory.
	(gnome_theme_installer_run): Remove parameter. Now we detect the file
	type.
	* gnome-theme-manager.c (gnome_meta_theme_installer_run_cb,
	gnome_theme_manager_drag_data_received_cb): Call
	gnome_theme_installer_run without the third parameter. Now we detect
	the file type.
	* theme-properties.glade: Removes install buttons in details window.

2005-01-06  Sebastien Bacher  <seb128@debian.org>

	* gnome-theme-installer.c: (install_dialog_response): check the 
	permission of the .icons/.themes dir instead of the files in it
	(Closes: #161649).

2005-01-03  Sebastien Bacher  <seb128@debian.org>

	* gnome-theme-installer.c: (install_dialog_response): use a temporary
	filename to not overwrite existant files in ~/.themes (Closes: #97180).

2004-12-25  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-theme-details.c: Don't include <gtk/gtk.h> twice.
	* gnome-theme-installer.c: Same (comes in from -installer.h)
	* gnome-theme-manager.c: Same.

2004-11-09  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: install .desktop file in $(datadir)/applications.
	
	* gtk-theme-selector.desktop.in: add OnlyShowIn=GNOME;

Tue Nov  2 16:03:41 2004  Jonathan Blandford  <jrb@redhat.com>

	* theme-switcher.c (install_dialog_response): Patch from
	Vijaykumar Patwari <vijaykumar.patwari@wipro.com> to warn when
	.themes can't be written to.

2004-10-28  Mike Newman  <mikegtn@gnome.org>

	* gnome-theme-installer.c: (transfer_done_cb) install themes named
	.tgz correctly. Show a dialog and remove the file from .themes if the
	theme could not be installed (Closes: #148895).

2004-10-27  Sebastien Bacher  <seb128@debian.org>

	* gnome-theme-installer.c: (transfer_done_targz_idle_cb),
	(transfer_done_tarbz2_idle_cb): *
	patch by Rajkumar <rajkumar.siva@wipro.com> to fix the themes
	installation with the non GNU versions of tar (Closes: #114553).

2004-10-27  Sebastien Bacher  <seb128@debian.org>

	* gnome-theme-save.c: (setup_directory_structure):
	patch by David Sedeño Fernández <david@alderia.com> to fix a 
	warning during the compilation (Closes: #148345).

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-08-20  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gnome-theme-details.c: (gnome_theme_details_init):
	* gnome-theme-manager.c: (setup_dialog):
	* theme-switcher.c: (setup_dialog):
	Use themed icon for WM hint.

2004-07-31  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-theme-save.c: (setup_directory_structure): Remove
	extra space in a string before question mark.

2004-07-09  David Sedeño <david@alderia.com>

	(http://bugzilla.gnome.org/show_bug.cgi?id=122970)
	* gnome-theme-save.c (setup_directory_structure): 
	If theme exists, show confirmation dialog to user.

2004-06-20  David Sedeño <david@alderia.com>

	(http://bugzilla.gnome.org/show_bug.cgi?id=143958)
	* gnome-theme-manager.c, theme-properties.glade: Revert option added.
	Two now gboolean global var: 'themes_loaded' to check if its the first 
	time that has cold meta_theme_selection_changed. 'rervert' to known 
	in the same function if the selection has change because a revert.
	(meta_theme_selection_changed):  If it's the same time, save the
	initial theme in initial_meta_theme_info. If the selection has change
	because a revert click, set the sensitive of the revert button 
	to false. 
	(revert_theme_clicked): callback for the revert button clicked signal.
	Set the initial_meta_theme and set sensitive to FALSE.
	(setup_dialog): Added the revert button to the gtk_size_group, connect
	the clicked callback and set sensitive initially to FALSE.
 
2004-05-27  Padraig O'Briain <padraig.obriain@sun.com>

	* theme-properties.glade: Set accessible name for GtkTreeViews
	in Theme Details dialog. Fixes bug #142402.

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-07  Jody Goldberg <jody@gnome.org>

	* gnome-theme-manager.c (update_settings_from_gconf_idle) : fix the
	  selection when not running metacity.  That was damn irritating.

2004-03-10  Chris Lahey  <clahey@ximian.com> 

	* gnome-theme-manager.c: (pixbuf_async_func): rename function. Use
	broken_image.
	(pixbuf_async_data_free): rename function. Use PixbufAsyncData instead
	of a GList.
	(pixbuf_idle_func): rename function. Handle the case that things
	change again while we're updating.  Stop what it's doing and start
	from the beginning. 
	(add_pixbuf_idle): 
	(load_meta_themes): clean up. Remove model_meta_theme_info. 
	(update_themes_from_disk): Remove the code to check for
	have_meta_theme here.  It works with no metathemes installed.
	(add_custom_row_to_meta_theme): handle the initial case too.
	(remove_custom_row_from_meta_theme): removed.
	(themes_equal): helper function for a fairly complicated comparison.
	(update_settings_from_gconf_idle), (update_settings_from_gconf):
	reamed. Instead of custom_theme_found to mean that there should be a
	custom theme, we use current_theme_saved.
	This means that there's a metatheme for the current theme.  Its
	meaning is almost exactly the boolean opposite of the old
	one but it's more understandable.  initial_theme_saved tells us 
	whether the initial theme has a metatheme for it now. 
	(theme_changed_idle), (theme_changed_func): Made this idle to reduce
	rerunning
	(setup_dialog): Load broken image.
	(gnome_theme_manager_sort_func): Make it symmetric. 
	* gnome-theme-manager.h: Remove THEME_FLAG_INITIAL.

2004-04-02  Padraig O'Briain <padraig.obriain@sun.com>

	* gnome-theme-details.c (update_list_something): Check that cursor
	position has changed before calling gtk_tree_view_set_cursor.
	* gnome-theme-manager.c (update_settings_from_gconf): Check that 
	cursor position has changed before calling gtk_tree_view_set_cursor.

	Fixes bug #131538.

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-03-02  Jody Goldberg <jody@gnome.org>

	* gnome-theme-manager.c (load_meta_themes) : revert the commit on
	  Wed Feb  4 00:05:11 2004  Jonathan Blandford  <jrb@gnome.org>
	  exit if it is a non-compliant wm (eg, anything but metacity)

2004-02-25  Fernando Herrera  <fherrera@onirica.com>

	http://bugzilla.gnome.org/show_bug.cgi?id=132902
	* theme-install.glade: use GtkFileChooser.

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-02-12  Mark McLoughlin  <mark@skynet.ie>

	* gnome-theme-details.c: (cb_dialog_response):
	* gnome-theme-installer.c: (install_dialog_response):
	* gnome-theme-manager.c: (cb_dialog_response):
	* theme-switcher.c: (install_dialog_response),
	(cb_dialog_response): Update help links to point to user-guide.xml

Sat Feb  7 00:34:45 2004  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-manager.c (load_meta_themes): fix #106424

Fri Feb  6 20:49:25 2004  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-details.c (gnome_theme_details_init): Patch from
	Frederic Crozat to install themes in the right place.

Wed Feb  4 00:05:11 2004  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-manager.c (load_meta_themes): exit if it is a
	non-compliant wm (eg, anything but metacity)

Tue Feb  3 23:36:25 2004  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-manager.c (load_meta_themes): use
	g_markup_printf_escaped instead of g_strdup_printf, #110564

2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2004-01-05  Muktha <muktha.narayan@wipro.com>

	* theme-properties.glade: Add accessible name and description.
	  Fixes bug #128377.

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2003-12-05 Srinivasa Ragavan <sragavan@novell.com>

	* gnome-theme-installer.c (install_dialog_response): Fix for bug
	  #127371, reporting invalid/ null file locations.

2003-12-05 Srinivasa Ragavan <sragavan@novell.com>

	* gnome-theme-installer.c (install_dialog_response): Fix for infinite 
	  loop, when trying to install themes from ~/.themes , #116224

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

Tue Aug  5 15:38:31 2003  Jonathan Blandford  <jrb@redhat.com>

	* theme-properties.glade: Fix from Christian Neumair to fix
	default and focus, #116892

	* theme-install.glade: ditto

Mon Aug  4 14:14:53 2003  Jonathan Blandford  <jrb@redhat.com>

 	* gnome-theme-manager.c (idle_async_func): make sure that we have
	a valid theme_id, #104824

2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-07-02  Mark McLoughlin  <mark@skynet.ie>

	* gnome-theme-manager.c: (idle_async_func), (load_meta_themes):
	use the default image if the thumbnailer fails.

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

Wed Jun 18 15:46:27 2003  Jonathan Blandford  <jrb@gnome.org>

	* Makefile.am (EXTRA_DIST): add $(desktop_icons_DATA)

2003-06-06 Mark Finlay <sisob@eircom.net>

 	* gnome-ccthemes.png
	* Makefile.am

	Add icon for the theme applet from gnome-desktop

2003-05-28  Christian Neumair  <chris@gnome-de.org>

	* theme-install.glade
	* theme-properties.glade:

	HIGified (#105004).

2003-05-13  Andrew Sobala  <aes@gnome.org>

	* Makefile.am: removed theme-thumbnail.[ch]
	* gnome-theme-manager.c: (meta_theme_selection_changed):
	theme-thumbnail is now in libcommon. Removed meta_theme_set; also now
	in libcommon.
	* theme-thumbnail.c: removed, now in libcommon
	* theme-thumbnail.h: removed, now in libcommon

2003-05-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

2003-05-03  Kjartan Maraas  <kmaraas@gnome.org>

	* theme-thumbnail.c: (create_image): Unref the
	icon_theme after using it.

2003-05-02  Kjartan Maraas  <kmaraas@gnome.org>

	* theme-properties.glade: Add a colon for consistency.
	Fixes bug #103923.

2003-04-29  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-theme-manager.c: (main): Fix a typo. Adapted version
	of a patch from <mitr@volny.cz>. Fixes bug #111849.

2003-04-29  Kjartan Maraas  <kmaraas@gnome.org>

	* theme-thumbnail.c: (message_from_capplet), (message_from_child),
	(generate_theme_thumbnail), (theme_thumbnail_factory_init): Plug
	leaks and guard against invalid reads reported by valgrind.

Wed Feb  5 17:03:26 2003  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-manager.[ch] (get_default_string_from_key): get the
	default from the schema and always sort it at the top.

	* gnome-theme-details.c: ditto

Tue Feb  4 17:09:18 2003  Jonathan Blandford  <jrb@redhat.com>

	* Release 2.2.0.1

Tue Jan 21 01:15:14 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.2.0

Tue Jan 21 00:44:03 2003  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-save.c (escape_string_and_dup): correctly escape the
	file we're saving.

Thu Jan 16 02:41:09 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.1.7

Thu Jan 16 02:32:39 2003  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-details.c (gnome_theme_details_update_from_gconf):
	make sure we're initted, as this function can be run
	asynchronously.

	* gnome-theme-manager.c (gnome_meta_theme_installer_run_cb): hook
	up the installer.

	* gnome-theme-installer.c: Try to handle icon themes.

Wed Jan 15 20:15:31 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-theme-manager.c (gnome_theme_manager_tree_sort_func): 
	remove this unneeded sort func.

	* gnome-theme-details.c (setup_tree_view): use the right sort
	function.

2003-01-14  Jody Goldberg <jody@gnome.org>

	* gnome-theme-manager.c (load_meta_themes) : yet another place to
	handle NULL window manager.

2003-01-14  Alex Duggan  <aldug@gnome.org>
	
	* gnome-theme-manager.c (main): 
	s/gnome-theme-properties/gnome-theme-manager/  Fixes #103525

Tue Jan 14 02:16:22 2003  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-manager.c (load_meta_themes): set the correct row to
	the new data.  This was messing a lot up.  Saving now works, so
	long as you don't type bad data.

	* TODO: update.

2003-01-13  Jody Goldberg <jody@gnome.org>

	* gnome-theme-manager.c (load_meta_themes) : handle yet another place
	  where gnome_wm_manager_get_current may be NULL.

Mon Jan 13 15:20:17 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-theme-manager.c (main): gnome_theme_init ()

2003-01-10  Jody Goldberg <jody@gnome.org>

	* Release 2.1.6

2003-01-10  Jody Goldberg <jody@gnome.org>

	* Makefile.am (EXTRA_DIST) : dist the pixmaps too.

2003-01-08  Anders Carlsson  <andersca@codefactory.se>

	* gnome-theme-manager.c: (update_font_button_state),
	(font_key_changed), (apply_font_clicked), (setup_dialog):
	* gnome-theme-manager.h:
	Add support for applying fonts.
	
	* theme-thumbnail.c: (create_image):
	Allow SVG files as icons.
	
2003-01-08  Jody Goldberg <jody@gnome.org>

	* gnome-theme-details.c (gnome_theme_details_update_from_gconf) :
	  handle lack of metacity.
	(window_theme_selection_changed) : ditto.
	(gnome_theme_details_reread_themes_from_disk) : ditto.

Wed Jan  8 01:57:09 2003  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-manager.c (add_initial_row_to_meta_theme): handle
	initial theme as custom.

	* TODO: update

Tue Jan  7 03:10:36 2003  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-save.c (save_dialog_response): add a description
	entry.  Still needs escaping.

	* theme-thumbnail.c (generate_theme_thumbnail): read the thumbnail
	back from the child correctly.  I think thumbnailing fully works.

	* TODO: Update

2003-01-06  Seth Nickell  <snickell@stanford.edu>

	* gnome-theme-manager.c: (load_meta_themes):
	* theme-properties.glade:

	Removed #if 0'd code for hard-coding minimuum height
	of the tree view. Use glade properties to set minimuum
	height to a more reasonable value. Its hard to find
	items when you only see two in the scroll-view at
	any given time, and many people do not think to
	resize windows (nor should they have to :-)
	
2003-01-06  Seth Nickell  <snickell@stanford.edu>

	* gnome-theme-manager.c: (add_custom_row_to_meta_theme):

	Don't mark internal string for translation so we don't
	break string freeze.
	
Mon Jan  6 10:55:39 2003  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-manager.c (setup_dialog): fix default image.
	Remove debugging g_prints.

2003-01-05  Seth Nickell  <snickell@stanford.edu>

	* gnome-theme-manager.c: (setup_dialog), (main):
	* Makefile.am:
	* theme-thumbnailing.png:

	Add a default image for when theme's are being
	thumbnailed.
	
	* theme-properties.glade:

	Hide dialog by default so it doesn't come
	up undrawn.
	
2003-01-05  Seth Nickell  <snickell@stanford.edu>

	* gnome-theme-manager.c: (add_custom_row_to_meta_theme),
	(remove_custom_row_from_meta_theme):
	* theme-thumbnail.c: (theme_thumbnail_invalidate_cache):
	* theme-thumbnail.h:
	
	Generate thumbnails for the custom theme.

Thu Jan  2 08:57:54 2003  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-manager.c: correctly merge disk updates and the
	current setup.

	* TODO: Add a TODO

2002-12-31  Seth Nickell  <snickell@stanford.edu>

	* theme-thumbnail.c: (create_image):

	Change the order of priority between folder icon names,
	since gnome-fs-directory is in the backup theme and will
	otherwise take precedence. This fix is a hack.

2002-12-31  Seth Nickell  <snickell@stanford.edu>

	* theme-thumbnail.c: (create_image):

	Thumbnail for themes (most currently) that use
	"gnome-fs-directory" as the icon name for folders rather
	than "folder".

2002-12-30  Jody Goldberg <jody@gnome.org>

	Apply
	http://bugzilla.gnome.org/show_bug.cgi?id=101752

	* gnome-theme-details.c : Merge in Frederic's patch.
	* gnome-theme-details.c : ditto.

2002-12-28  Seth Nickell  <snickell@stanford.edu>

	* gnome-theme-details.c: (path_to_theme_id), (load_theme_names),
	(gnome_theme_details_reread_themes_from_disk):

	Use the theme directory name rather than the "printable" name
	for icon themes. Does this need to be done for WM themes and
	GTK themes as well?
	
2002-12-28  Seth Nickell  <snickell@stanford.edu>

	* gnome-theme-manager.c: (update_themes_from_disk):

	Fix crash when current WM isn't detected.

2002-12-18  Jody Goldberg <jody@gnome.org>

	* Release 2.1.5

Fri Dec  6 16:54:14 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-theme-save-data.c: New file.  Really saves now.  Doesn't
	notice when a new metatheme is added, though.

Tue Dec  3 20:45:17 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-theme-save.c: Add saving support.  Almost to a working
	point w/ this capplet...

Tue Dec  3 14:26:05 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-theme-details.c (window_theme_selection_changed): Fix
	g_assert_not_reached() that can be reached.

Tue Dec  3 00:40:13 2002  Jonathan Blandford  <jrb@gnome.org>

	* .cvsignore: shut up, CVS

	* Makefile.am: build new objects

	* gnome-theme-details.[ch]: New file to encapsulate the details
	dialog.

	* gnome-theme-manager.c: Restructure code.  Less love, more work.
	Prolly an improvement.

2002-11-23  Jody Goldberg <jody@gnome.org>

	* Release 2.1.3

Sat Nov 16 00:55:58 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-manager.c (meta_theme_selection_changed): actually
	set the theme.

Thu Nov 14 19:30:02 2002  Jonathan Blandford  <jrb@gnome.org>

	* theme-thumbnail.c (setup_theme_thumbnail_factory): add G_IO_HUP
	so the child can actually exit when the parent does.

Thu Nov 14 17:14:00 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-manager.c: Use new theme system.  Handle other
	themes better.

	* theme-thumbnail.c: new file to draw themes.  Currently
	synchronous -- needs to be made async.

Thu Nov  7 15:24:33 2002  Jonathan Blandford  <jrb@gnome.org>

	* gtk-theme-selector.desktop.in (Exec): change binary name.

Tue Nov  5 15:48:20 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-manager.c (read_themes): make more robust.

2002-11-02  Jody Goldberg <jody@gnome.org>

	* Release 2.1.2

2002-11-02  Jody Goldberg <jody@gnome.org>

	* Makefile.am : Add missing file

Fri Nov  1 11:01:16 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-theme-manager.c: Rewrote to handle metathemes and icon
	themes.  The WM stuff was previously broken, too.

	* gnome-theme-installer.[ch]: Extract this code out to it's own
	file.

2002-10-26  Havoc Pennington  <hp@pobox.com>

	* theme-switcher.c (window_read_themes): adapt to gnome-wm-manager
	API changes

2002-10-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-10-01  Yanko Kaneti <yaneti@declera.com>

	* gtk-theme-switcher.schemas: reorder elements so that it validates.

2002-10-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0.1

2002-08-26  Jody Goldberg <jody@gnome.org>

	* theme-switcher.c (drag_data_received_cb) : unescape the string.

2002-09-09  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: use ../../libwindow-settings/libgnome-window-settings.la
	instead of -L../../libwindow-settings -lgnome-window-settings.
	Fixeds build breakage.

2002-08-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0

2002-08-01  Christophe Fergeau  <teuf@users.sourceforge.net>

	* theme-switcher.c : correctly deal with bzip2
 	  compressed theme files

2002-08-19  Ross Burton  <ross@burtonini.com>

	* gtk-theme-selector.desktop.in: Fix the desktop file so that it
	validates.

2002-08-07  Jody Goldberg <jody@gnome.org>
	Patch from JRB for 88443

	* theme-switcher.c (read_themes) : store the current cursor

2002-07-31  Federico Mena Quintero  <federico@ximian.com>

	* theme-install.glade: Make the file entry modal.  Fixes #89410.

2002-07-10  Jody Goldberg <jody@gnome.org>

	* theme-switcher.c (show_install_dialog) : create and destroy the
	  dialog.

2002-07-05  jacob berkman  <jacob@ximian.com>

	* theme-switcher.c (transfer_done_cb): do the real work in an idle
	(transfer_done_idle_cb): do the real work

	this fixes bug #86141 - i don't understand why, but some very evil
	things seem to have been happening.  see that bug for details.

2002-06-17  Jody Goldberg <jody@gnome.org>

	* Release 2.0.0

2002-05-28  Satyajit Kanungo <satyajit.kanungo@wipro.com>
        * theme-switcher.c : Changed the help file link
          to get the help document from user-guide.

2002-05-26  Jody Goldberg <jody@gnome.org>

	* theme-switcher.c (install_dialog_response) : improve handling of
	  help failures.
	(cb_dialog_response) : ditto.

Sun May 26 11:34:31 2002  Jonathan Blandford  <jrb@gnome.org>

	* theme-switcher.c (main): use APPID instead of argv[0]

2002-05-16  Jody Goldberg <jody@gnome.org>

	* theme-switcher.c (install_dialog_response) : add some safety checks
	  for invalid files.

2002-05-16  Jody Goldberg <jody@gnome.org>

	* theme-switcher.c (cb_dialog_response) : fix path.
	(install_dialog_response) : add help link.

Tue May 14 12:29:35 2002  Jonathan Blandford  <jrb@redhat.com>

	* theme-switcher.c (read_themes): try to scroll to theme.
	Currently appears to be a little broken somewhere.

	* theme-properties.glade: clean up, and add an atk relation, #76416

2002-05-10  Anders Carlsson  <andersca@gnu.org>

	* theme-properties.glade:
	Remove ellipsis after "Go to theme folder".
	
	* theme-switcher.c: (show_manage_themes):
	Create the .themes directory if it doesn't exist.
	
2002-05-10  Anders Carlsson  <andersca@gnu.org>

	* theme-properties.glade:
	Remove ellipsis after "Go to theme folder".
	
	* theme-switcher.c: (show_manage_themes):
	Create the .themes directory if it doesn't exist.
	
2002-05-08  Jody Goldberg <jody@gnome.org>

	* theme-switcher.c (cb_dialog_response) : new.
	(setup_dialog) : support help.

Mon May  6 17:40:17 2002  Jonathan Blandford  <jrb@redhat.com>

	* theme-switcher.c: remove print statements

	* theme-properties.glade: Fix up UI.  Not perfect, but better.

2002-04-29  Rachel Hestilow  <hestilow@ximian.com>

	* theme-properties.glade: Further revamp based on seth's suggestions.

2002-04-29  Rachel Hestilow  <hestilow@ximian.com>

	* theme-properties.glade: Hide checkbutton until we actually
	implement that...put it on the backburner for now.

2002-04-29  Rachel Hestilow  <hestilow@ximian.com>

	* theme-properties.glade, theme-swither.c: Add support
	for install/manage themes.
	
2002-04-27  Seth Nickell  <snickell@stanford.edu>

	* gtk-theme-selector.desktop.in:

	Change name, move out of Advanced category.
	
	* theme-properties.glade:

	Tweak padding / spacing.

	* gtk-theme-selector.desktop.in.in:

	Old cruft file, delete.
	
2002-04-26  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:
	* gnome-font-and-theme-properties.c:
	* gnome-font-and-theme-properties.glade:
	* gtk-theme-selector.glade:
	* main.c:
	* theme-properties.glade:
	* theme-switcher.c: (create_dialog), (theme_selection_changed),
	(read_themes), (theme_key_changed), (theme_changed_func),
	(sort_func), (setup_dialog), (main):

	Move the font code into a seperate capplet.
	
Thu Apr 18 19:35:42 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-font-and-theme-properties.c (setup_dialog): handle new
	theme-changing code, and sort code.

2002-04-12  jacob berkman  <jacob@ximian.com>

	* gnome-font-and-theme-properties.c (create_dialog): get the glade
	file from GLADEDIR

	* Makefile.am (INCLUDES): define GLADEDIR
	(glade_DATA): install the right glade file

Wed Apr 10 18:03:25 2002  Jonathan Blandford  <jrb@gnome.org>

	* gtk-theme-selector.desktop.in (Exec): s/gtk2-theme-selector-capplet/gnome-font-and-theme-properties

2002-04-10  Rachel Hestilow  <hestilow@ximian.com>
	
	* gnome-font-and-theme-properties.glade: Add font options to UI.

	* gnome-font-and-theme-properties.c (setup_dialog): Add peditors
	for fonts.
	
2002-04-10  jacob berkman  <jacob@ximian.com>

	* Makefile.am (SUBDIRS): add back SUBDIRS

2002-03-28  Richard Hestilow  <hestilow@ximian.com>

	* control/control.c (create_form): Construct list example
	from a single string. Fixes bug #72761.

2002-03-09  Richard Hestilow  <hestilow@ximian.com>
	
	* gtk-theme-selector.glade, main.c: Remove preview option
	and button, this makes no sense with instant apply.
	(select_cb): Just call apply_cb.
	
2002-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* main.c: s/PACKAGE/GETTEXT_PACKAGE/g
	
2002-02-18  Gediminas Paulauskas <menesis@delfi.lt>

	* main.c: fix i18n

2002-02-11  Seth Nickell  <snickell@stanford.edu>

	* gtk-theme-selector.glade:
	* main.c: (call_apply), (response_cb), (main):

	Convert to instant apply.

2002-02-04  Lauris Kaplinski  <lauris@ximian.com>

	* main.c (themes_list_refresh): Use g_path_get_basename
	(get_selected_theme_name): Ditto
	(install_cb): Use g_signal_connect

	* control/control.c (create_form): Use gtk_menu_shell_append
	(create_form): Use gtk_radio_button_get_group,
	set entry max length explicitly

2002-01-28  Richard Hestilow  <hestilow@ximian.com>

	* main.c: Include gconf-client.h, add trailing NULLs to all
	gconf_client calls (for GError).

2002-01-27  Seth Nickell  <snickell@stanford.edu>

	* gtk-theme-selector.desktop.in.in:

	Add Categories field.

2002-01-27  Richard Hestilow  <hestilow@ximian.com>

	* control/control.c: Include string.h.
	(create_form): Defer modifying default rc files until property is set.
	(set_prop_cb): Set default files here instead.
	
2002-01-21  Anders Carlsson  <andersca@gnu.org>

	* main.c: Get the theme name right.

	* control/control.c (create_form): Use a GtkTreeView instead of a
	clist.

2002-01-21  Richard Hestilow  <hestilow@ximian.com>

	* Complete rewrite.

2002-01-14  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am: Update

2002-01-04  Bradford Hovinen  <hovinen@ximian.com>

	* control/Makefile.am (gnome_theme_preview_LDADD): Use
	$(CONTROL_{CFLAGS|LIBS}) rather than @CONTROL_{CFLAGS|LIBS}@

2001-12-08  Richard Hestilow  <hestilow@ximian.com>
	
	* Port to GConf.

2001-12-08  Richard Hestilow  <hestilow@ximian.com>

	* Partial revamp to use bonobo control instead of bug-prone
	custom socket; also port away from libcapplet.

2001-10-13  Bradford Hovinen  <hovinen@ximian.com>

	* lister.c (edit_file_to_use): Be paranoid about what we have read
	from the input file -- make sure the string is always
	NULL-terminated

2001-09-29  Richard Hestilow  <hestilow@ximian.com>

	* gui.c (sort_alpha): Use g_strcasecmp, not strcmp.
	Fixes bug #13539.

2001-09-29  Richard Hestilow  <hestilow@ximian.com>

	* lister.c: (list_themes, list_system_themes, list_user_themes):
	Return a GList of ThemeEntry*, and remove extraneous number argument.
	Also, use g_strdup_printf instead of g_snprintf.
	
	* da.h (ThemeEntry): Add a "row" data member.
	* gui.c: Change variables current_theme, current_global_theme,
	initial_theme, and last_theme to ThemeEntry*.
	(make_main): Change GtkList to a GtkCList to avoid scrolling bug.
	(click_entry): Changed to "select_row" callback prototype.
	(delete_entry): Removed.
	(item_destroy_notify): Added in lieu of delete_entry.
	(sort_alpha): Accept ThemeEntry* and not GtkBin*.
	(add_theme_list): Added.
	(update_theme_entries): Use clist functions.
	
2001-07-27  Bradford Hovinen  <hovinen@ximian.com>

	* RELEASE : 1.5.2

2001-07-27  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am: Remove empty SUBDIRS line

2001-07-20  Chema Celorio  <chema@celorio.com>

	* RELEASE : 1.5.0

2001-07-19  Richard Hestilow  <hestilow@ximian.com>

	* Started.
	
	* main.c (main): Don't waitpid. I have no idea why it didn't work,
	but this is at least better than waiting forever. 
